# Generated from rspec-paper_trail-0.0.10.gem by gem2rpm -*- rpm-spec -*-
%global gem_name rspec-paper_trail

Name: rubygem-%{gem_name}
Version: 0.0.10
Release: 1%{?dist}
Summary: provides rspec-matcher to ensure versioning and per-spec, per-block versioning
License: MIT
URL: https://github.com/belt/rspec-paper_trail
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.2
# BuildRequires: rubygem(sqlite3)
# BuildRequires: rubygem(rspec-rails) >= 2.13.0
# BuildRequires: rubygem(rspec-rails) < 2.14
# BuildRequires: rubygem(Platform) >= 0.4.0
BuildArch: noarch

%description
use paper_trail within rspec, conveniently.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-gemset
%{gem_instdir}/.ruby-version
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/rspec-paper_trail.gemspec
%{gem_instdir}/spec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.0.10-1
- Initial package
